package com.bocloud.cmp.provider.hmc;

import com.bocloud.cmp.model.hmc.HmcPartitionModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

@Deprecated
public interface PartitionProvider extends SuperProvider {
    public BocloudResult createLogicalPartition(String managedSystemUuid, HmcPartitionModel par);

    public BocloudResult createVirtualIOServer(String managedSystemUuid, HmcPartitionModel par);

    public BocloudResult delete(String managedSystemUuid, String partitionUuid, Boolean isVios);

    public BocloudResult updateLogicalPartition(HmcPartitionModel partition, String managedSystemUuid, String partitionUuid);

    public BocloudResult updateVirtualIOServer(HmcPartitionModel partition, String managedSystemUuid, String partitionUuid);

    public BocloudResult getPartitionAttribute(String partitionUuid, Boolean isVios);

    public BocloudResult powerOffPartition(String uuid, Boolean isVios);

    public BocloudResult restartPartition(String uuid, Boolean isVios);

    public BocloudResult powerOnPartition(String uuid, String profileUuid, Boolean isVios);

    public BocloudResult queryPartitionState(String uuid, Boolean isVios);

    public BocloudResult queryPartitionRMCState(String uuid, Boolean isVios);

    public BocloudResult getVirtualScsiAdapters(String href);
}
